unit LeftFrame;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, IWBaseControl, IWControl, IWTMSMenus,IWAppForm, IWVCLBaseControl,
  IWCompLabel, IWBaseHTMLControl, IWVCLBaseContainer, IWContainer,
  IWHTMLContainer, IWRegion, IWHTML40Container, IWCompButton;

type
  TFrameLeftFrame = class(TFrame)
    IWRegion1: TIWRegion;
    TIWStaticMenu1: TTIWStaticMenu;
    procedure TIWStaticMenu1Click(Sender: TObject; ItemIdx: Integer);
  private
    { Private declarations }
    procedure Move(AFormClass: TIWAppFormClass);
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

uses
  Calendars, CreditCards, Edits, HtmlControls, Images, ListLinks, Menu,
  Outlookbar, Panels, DBGrid, DynGrid, Grid, GridRowSelection, GridSort,
  Gridevents, HTMLEdit, MasterDetail, ListLinks2, HelpTip, CalculatingLabel,
  AdvToolButton, CheckLists, SideNavBar, ExchangeBar,
  MDGrid, GridsInGrid, IWTypes, IWInit, GridDirectEdit, AdvSelector, AFF,
  GridAsync, GridExport;


procedure TFrameLeftFrame.Move(AFormClass: TIWAppFormClass);
begin
  // Release the current form
  TIWAppForm(WebApplication.ActiveForm).Release;
  // Create the next form
  AFormClass.Create(WebApplication).Show;
end;

procedure TFrameLeftFrame.TIWStaticMenu1Click(Sender: TObject;
  ItemIdx: Integer);
begin
  case ItemIdx of
  1: Move(TformHtmlEdit);
  2: Move(TformCalendars);
  3: Move(TformCreditCards);
  4: Move(TformEdits);
  5: Move(TformHtmlControls);
  6: Move(TformImages);
  7: Move(TformListLinks);
  8: Move(TformListLinks2);
  9: Move(TformHelpTip);
  10: Move(TformMenu);
  11: Move(TformOutlookbar);
  12: Move(TformToolbutton);
  13: Move(TformPanels);
  14: Move(TformCalculatingLabel);
  15: Move(TformToolButton);
  16: Move(TformCheckLists);
  17: Move(TformSideNavBar);
  18: Move(TformExchangeBar);
  19: Move(TformAdvSelector);
  20: Move(TformAFF);
  //21 Grid Demos
  22: Move(TformDBGrid);
  23: Move(TformGridevents);
  24: Move(TformDynGrid);
  25: Move(TformGrid);
  26: Move(TformGridRowSelection);
  27: Move(TformGridsInGrid);
  28: Move(TformMasterDetail);
  29: Move(TformGridSort);
  30: Move(TformMDGrid);
  31: Move(TformGridDirectEdit);
  32: Move(TformGridAsync);
  33: Move(TformGridExport);
  end;
end;

end.
